## view.xhtml
Class CheckboxInput

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.EmptyElement
                  view.xhtml.Input
                      view.xhtml.CheckboxInput

    public class CheckboxInput

extends Input

Nested Class Summary

Nested classes/interfaces inherited from class view.xhtml.Input
`Input.InputType`

Constructor Summary
`CheckboxInput(java.lang.String name)` Constructs the element.
`CheckboxInput(java.lang.String name, boolean checked)` As above, but with a 'checked' parameter.

Method Summary

Methods inherited from class view.xhtml.EmptyElement
`getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CheckboxInput

    public CheckboxInput(java.lang.String name)

  Constructs the element.

  Parameters:
    `name` - a value for the 'name' attribute.

### CheckboxInput

    public CheckboxInput(java.lang.String name,
                         boolean checked)

  As above, but with a 'checked' parameter.

  Parameters:
    `checked` - if true, sets 'checked' attribute to 'checked'.